@import "../../variables/variables";
@import "../../variables/mixins";

/*#region #s*/
/*#endregion*/

/* Mobile responsive section styles
/* ========================================== */

@media screen {
  /*#region core*/
  main {
  }
  /*#endregion*/

  /*#region slick slider*/
  .slick-carousel[data-margin="10"] {
    margin-left: -10px;
    margin-right: -10px;
    .slick-slide > div {
      margin-left: 10px;
      margin-right: 10px;
    }
  }
  /*#endregion*/
  /*#region option*/
  /*#endregion*/
}

@media screen and (min-width: 1920px) {
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region core*/
  main {
  }
  /*#endregion*/
  /*#region slick slider*/
  .slick-carousel[data-margin="10"] {
    margin-left: -10px;
    margin-right: -10px;
    .slick-slide > div {
      margin-left: 10px;
      margin-right: 10px;
    }
  }
  /*#endregion*/

  /*#region header*/
  /*#endregion*/

  /*#region footer*/
  /*#endregion*/

  /*#region general*/
  /*#endregion*/

  /*#region option*/
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region core*/
  main {
  }
  /*#endregion*/

  /*#region slick slider*/
  .slick-carousel[data-margin="10"] {
    margin-left: -5px;
    margin-right: -5px;
    .slick-slide > div {
      margin-left: 5px;
      margin-right: 5px;
    }
  }
  /*#endregion*/

  /*#region header*/
  /*#endregion*/

  /*#region footer*/
  /*#endregion*/

  /*#region general*/
  /*#endregion*/

  /*#region option*/
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region core*/
  main {
    margin-top: 55px;
  }
  .ilightbox:after {
    top: 5px;
    right: 5px;
    font-size: 20px;
    line-height: 20px;
  }
  .row {
    .col {
      margin-top: 20px;
      &:first-child {
        margin-top: 0;
      }
    }
  }
  .container-flex > .row {
    @include flex-container();
    > .col:nth-child(1) {
      -webkit-box-ordinal-group: 3;
      -webkit-order: 2;
      -ms-flex-order: 2;
      order: 2;
      width: 100%;
      float: none;
      margin-top: 20px;
    }
    > .col:nth-child(2) {
      -webkit-box-ordinal-group: 2;
      -webkit-order: 1;
      -ms-flex-order: 1;
      order: 1;
      width: 100%;
      float: none;
      margin-top: 0;
    }
  }
  .flex-container {
    [class*="col-"] {
      width: 100%;
    }
  }
  /*#endregion*/

  /*#region header*/
  /*#endregion*/

  /*#region footer*/
  /*#endregion*/

  /*#region general*/
  /*#endregion*/

  /*#region option*/
  /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*#region general*/

  .flex-container {
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
  }
  /*#endregion*/
}
/*#endregion*/
